List Active Models
curl --request GET \
--url https://api.modellix.ai/api/v1/models \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.modellix.ai/api/v1/models', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.modellix.ai/api/v1/models"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.modellix.ai/api/v1/models"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.modellix.ai/api/v1/models")
.header("Authorization", "Bearer <token>")
.asString();const url = 'https://api.modellix.ai/api/v1/models';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));
import Foundation
let url = URL(string: "https://api.modellix.ai/api/v1/models")!
var request = URLRequest(url: url)
request.httpMethod = "GET"
request.timeoutInterval = 10
request.allHTTPHeaderFields = ["Authorization": "Bearer <token>"]
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))$headers=@{}
$headers.Add("Authorization", "Bearer <token>")
$response = Invoke-WebRequest -Uri 'https://api.modellix.ai/api/v1/models' -Method GET -Headers $headers{
"models": [
{
"slug": "google/nano-banana-2",
"type": "text-to-image",
"docs_url": "https://docs.modellix.ai/google/nano-banana-2.md",
"description": "Gemini 3.1 Flash text-to-image model for fast, high-quality image generation."
},
{
"slug": "google/nano-banana-2-edit",
"type": "image-to-image",
"docs_url": "https://docs.modellix.ai/google/nano-banana-2-edit.md",
"description": "Gemini 3.1 Flash image editing model for transforming and refining input images."
}
]
}{
"code": 401,
"message": "Authentication failed: invalid API key"
}{
"code": 429,
"message": "Rate limit exceeded: 100 requests per minute, retry after 60 seconds"
}{
"code": 500,
"message": "Internal server error"
}List Active Models
Returns all currently active (published) models with their slug, type, documentation URL, and display description.
GET
/
api
/
v1
/
models
List Active Models
⌘I